Subject: Re: [RFC 1/4] kevent: core files.

From: Ulrich Drepper <[email-masked]>
Date: Sun, 30 Jul 2006 01:08:42 -0700

Nicholas Miell wrote:
> [...] and was wondering
> if you were familiar with the Solaris port APIs* and,

I wasn't.

> if so, you could
> please comment on how your proposed event channels are different/better.

There indeed is not much difference.  The differences are in the
details.  The way those ports are specified doesn't allow much room for
further optimizations.  E.g., the userlevel ring buffer isn't possible.
 But mostly it's the same semantics.  The ec_t type in my text is also
better a file descriptor since otherwise it cannot be transported via
Unix stream sockets.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖